Subject: Re: [PATCH] powerpc: Use new printk extension %pS to print symbols on oops

From: Benjamin Herrenschmidt <[email-masked]>
Date: Tue, 08 Jul 2008 08:20:09 +1000

On Mon, 2008-07-07 at 10:08 -0700, Linus Torvalds wrote:
> > This changes the oops and backtrace code to use the new %pS
> > printk extension to print out symbols rather than manually
> > calling print_symbol.
> 
> Ok, I ended up committing the suppor for '%pS' early (as a series of 
> smaller patches to make it clearer), just because it makes it easier for 
> different people to start converthing things with the infrastructure in 
> place.
> 
> But I wasn't planning on actually merging any of the conversions until 
> after 2.6.26 (ie there will be no actual _users_ of '%pS' in 2.6.26)

That's ok. I posted the patch for review/comments, I didn't intend
to have it merged before .27 opens.

Cheers,
Ben.